import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="drt-models",
    version="0.0.2",
    author="Dmitry Trokhachev",
    author_email="dimiaa573@gmail.com",
    description="Tool for calculate wastewater dilution rate using Karaushev's method",
    long_description=long_description,
    long_description_content_type="text/markdown",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
    ],
    packages=setuptools.find_packages(),
    data_files=[('lr_coeffs', ['models/coeffs.pickle']),
                ('p_coeffs', ['models/perceptron.pickle'])],
    install_requires=[
        'numpy',
        'drt-data-processor',
    ],
    python_requires=">=3.8",
)
